package org.springblade.enums;

public enum SensorTypeEnum {
	/**
	 * 雨量计
	 */
	SENSOR_TYPE_RAIN(1, "雨量计"),

	/**
	 * 水位计
	 */
	SENSOR_TYPE_WATER(2, "水位计"),

	/**
	 * 墒情计
	 */
	SENSOR_TYPE_GROUND(3, "墒情计");



	private int code;

	private String name;

	private SensorTypeEnum(int code, String name) {
		this.code = code;
		this.name = name;
	}

	/**
	 * Function:根据code来获取对应的name
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return java.lang.String
	 * @throws Exception
	 */
	public static String getName(int code) {
		for (SensorTypeEnum type : SensorTypeEnum.values()) {
			if (type.code == code) {
				return type.name;
			}
		}
		return "";
	}

	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static SensorTypeEnum getEnumByCode(int code) {
		for (SensorTypeEnum type : SensorTypeEnum.values()) {
			if (type.code == code) {
				return type;
			}
		}
		return null;
	}


	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static SensorTypeEnum getEnumByName(String name) {
		for (SensorTypeEnum type : SensorTypeEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}


	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
